<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/vod/abstract_vod.php';
require_once 'lib/vod/movie.php';

///////////////////////////////////////////////////////////////////////////

class DemoVod extends AbstractVod
{
	public function __construct()
	{
		parent::__construct(
			true,
			true,
			true);
	}

	///////////////////////////////////////////////////////////////////////

	public function try_load_movie($movie_id, &$plugin_cookies)
	{
		$movie = DemoTv::parse_video_page($movie_id, $plugin_cookies);
		if ($movie==true)
			$this->set_cached_movie($movie);
	}




	///////////////////////////////////////////////////////////////////////
	// Favorites.

    protected function load_favorites(&$plugin_cookies)
    {
        $fav_movie_ids = $this->get_fav_movie_ids_from_cookies();
        $this->set_fav_movie_ids($fav_movie_ids);
    }

    protected function do_save_favorite_movies(&$fav_movie_ids, &$plugin_cookies)
    {
        $this->set_fav_movie_ids_to_cookies($plugin_cookies, $fav_movie_ids);
    }

    ///////////////////////////////////////////////////////////////////////

    public function get_fav_movie_ids_from_cookies()
    {
		return HD::get_items('favorite_movies');
    }
    public function set_fav_movie_ids_to_cookies(&$plugin_cookies, &$ids)
    {
        $ids = array_values($ids);
		HD::save_items('favorite_movies', $ids);
    }

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public function get_vod_stream_url($stream_url, &$plugin_cookies)
	{
		return DemoTv::get_vvod_stream_url($stream_url, &$plugin_cookies);
	}

	///////////////////////////////////////////////////////////////////////
	// Search.


	public function get_search_media_url_str($pattern)
	{
		return VodListScreen::get_media_url_str('search', $pattern);
	}


	///////////////////////////////////////////////////////////////////////
	// Folder views.

	public function get_vod_list_folder_views(&$plugin_cookies)
	{
		return FreeTvConfig::GET_VOD_MOVIE_LIST_FOLDER_VIEWS($plugin_cookies);
	}

	public function get_vod_search_folder_views()
	{
		return FreeTvConfig::GET_TEXT_ONE_COL_VIEWS();
	}


}

///////////////////////////////////////////////////////////////////////////